Datatype (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class Datatype

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Datatype

    public class Datatype

extends Object

Id to represent a datatype

$Id: Datatype.java 1311 2010-03-07 22:51:10Z euzenat $

Field Summary
`private String` | `type` Holds the type

Constructor Summary
`Datatype(String type)` Constructs an object with the given type.

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`String` | `plainText()`
`String` | `toString()` Returns a short description about this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    private String type

  Holds the type

Constructor Detail

### Datatype

    public Datatype(String type)

  Constructs an object with the given type.

  Parameters:
    `type` - the type for this object.
  Throws:
    `NullPointerException` - if the type is `null`
    `IllegalArgumentException` - if the type isn't longer than 0

Method Detail

### plainText

    public String plainText()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Returns a short description about this object. The format of the returned string is undocumentd and subject to change.

  An example return string could be: `15`

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010